
<div class="row rowButtonAdd">
    <h3 style="margin-left: 2%;">Perfiles MIT</h3>
</div>

<div class="row rowButtonAdd">
    <div class="col-sm-12">
        <button *ngIf="this.userRole == 'AdministradorMit'" id="btn-add" type="button" class="btn btn-info add-new pull-right" (click)="showModalAdduser()">
            <i class="fa fa-plus"></i>Agregar
        </button>

    </div>
</div>

<div class="row">
  <div class="col-md-12">
    <table id="dtProfiles" class="table table-striped table-bordered table-sm">
      <thead>
          <tr>
            <th>No</th>
              <th>Correo</th>
              <th>Perfil</th>
              <th>Estatus</th>
              <th>Acciones</th>
          </tr>
      </thead>
      <tbody>

      </tbody>
      <!-- <tbody *ngFor= "let user of allUsers;">
          <tr *ngFor = "let attribute of user.Attributes; let i = index">
              <td *ngIf = "attribute.Name == 'email'">
                  {{attribute.Value}}
              </td>
              <td *ngIf = "attribute.Name == 'email'">
                  {{user.Attributes ? ( user.Attributes.length > 0 ? 
                    user.Attributes[0].Value : '' ) : ''}}
              </td>
              <td *ngIf = "attribute.Name == 'email'">
                  {{user.UserStatus}}
              </td>
              <td *ngIf = "attribute.Name == 'email'">
                  <button *ngIf="this.userRole == 'AdministradorMit'" class="btn btn-info" id="{{user.Username}}" (click)="deleteUser(user.Username)"><i class="material-icons">&#xE872;</i></button>
              </td>
              
          </tr>
      </tbody> -->
  </table>
  </div>
</div>



<div id="modalAddUser" class="modal my-auto">

  <!-- Modal content -->
  <div class="modal-content">
      <!--<button id="btnAceptarModal" type ="button" (click)="cerrarModal()"  class="btn btn-lg btn-block mr-3 btnUrl">&times;</button>-->
      <h5>Agregar Usuario</h5>
      <div class="row">
        <label class="control-label col-sm-2" for="email">Correo</label>
        <div class="col-sm-10">
          <input id="inputEmail" class="form-control" type="email" #email
          (keyup.enter)="addUser(email.value)" email.value='' placeholder="Ingrese un correo"/>
        </div>
        <span style="color:red; margin-left: 2%; margin-top:2%;" *ngIf="showAlert">Por favor, ingresa un correo electrónico</span>
      </div>

      <div class="row row-section">
        <label class="control-label col-sm-2" for="role">Perfil</label>
        <div class="col-sm-10">
          <div class="dropdown">
            <select class="browser-default custom-select" #selectPerfil
                name="perfil" class="form-control" id="selectPerfil">
                <option value="value1">Selecciona un perfil </option>
                <option *ngFor="let perfil of this.perfiles; index as i" value="{{perfil.value}}">
                  {{perfil.name}}</option>
            </select>
        </div>
        </div>
        <span style="color:red; margin-left: 2%; margin-top:2%;" *ngIf="showAlertPerfil">Por favor, seleccione un perfil para el usuario</span>
      </div>
      
      <div class="modal-footer">
        <button class="btn btn-success" type="button" (click)="addUser(email.value)">Guardar</button>
        <button class="btn btn-default" type="button" (click)="cerrarModal()">Cerrar</button>
      </div>
  </div>

  


</div>